Crazyflie Android Client - Contributing
=======================================

Reporting issues
----------------
When reporting issues the more information you can supply the better. Since the client runs on many different Android devices, can connect to multiple versions of the Crazyflie and you could use our official releases or clone directly from Github, it can be hard to figure out what's happening.

 - **Information about the environment:**
  - Device name and manufacturer (e.g. LG Nexus 5)
  - Android version (e.g. 4.4)
  - Crazyflie Android client version
  - Crazyflie firmware version
  - Crazyradio firmware version (Preferences -> Connection settings -> Radio stats)

 - **How to reproduce the issue:**  
 Step-by-step guide on how the issue can be reproduced (or at least how you reproduce it). Include everything you think might be useful, the more information the better.

Improvements and ideas
----------------------
If you would like to do bigger changes or have ideas on how to improve the Android client, then post an issue and discuss it. We try to keep pushing changes on feature branches so you can see what we're up to. But it's always good to check with us first if you plan to make bigger changes, maybe it's something we are already working on or thinking about. If nothing else we might be able to contribute with some additional comments.

Pull-requests
-------------

Pull-requests should always be created from a **feature** branch, not from the **master** branch. In order for the pull-request to be more easily accepted make sure to:

 - **Try to keep it short, simple and focused**
 - **Respect the existing code style guide**
 - Test your changes and note what devices/Android version you have tested on
 - Describe the change
 - Refer to any issues it effects
 - More best practices: http://www.thinkful.com/learn/github-pull-request-tutorial/

Code style guide
------------------

Our goal is to comply with the [Android Code Style Guidelines for Contributors](http://source.android.com/source/code-style.html) , but there's still some code that's not up to standard. We try our best to comply but since we slack sometimes we can't really enforce it, but at least there's a few things we want to stick to:

 - [4 spaces intendation](http://source.android.com/source/code-style.html#use-spaces-for-indentation)
 - [Follow field naming conventions](http://source.android.com/source/code-style.html#follow-field-naming-conventions)

