/**
 *    ||          ____  _ __
 * +------+      / __ )(_) /_______________ _____  ___
 * | 0xBC |     / __  / / __/ ___/ ___/ __ `/_  / / _ \
 * +------+    / /_/ / / /_/ /__/ /  / /_/ / / /_/  __/
 *  ||  ||    /_____/_/\__/\___/_/   \__,_/ /___/\___/
 *
 * Copyright (C) 2015 Bitcraze AB
 *
 * Crazyflie Nano Quadcopter Client
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 */

package se.bitcraze.crazyflie.lib.param;

public abstract class ParamListener {

    private String mGroup;
    private String mName;

//FIXME
//    public ParamListener(String completeName) {
//        if (completeName.isEmpty() || !completeName.contains(".")) {
//            throw new IllegalArgumentException("Complete name must include a '.' as separator between group and name.");
//        }
//        String[] split = completeName.split(".");
//        this.mGroup = split[0];
//        this.mName = split[1];
//    }

    public ParamListener(String group, String name) {
        this.mGroup = group;
        this.mName = name;
    }

    public String getGroup() {
        return mGroup;
    }

    public String getName() {
        return mName;
    }

    public String getCompleteName() {
        return mGroup + "." + mName;
    }

    public abstract void updated(String name, Number value);

}
